package permission_group

import "git.sxidc.com/go-framework/baize/framework/core/api/request"

type (
	CreatePermissionGroupJsonBody struct {
		Name        string `json:"name" binding:"required" assign:"toField:Name"`
		Description string `json:"description" assign:"toField:Description"`
	}

	DeletePermissionGroupQueryParams struct {
		request.IDQueryParam
	}

	UpdatePermissionGroupJsonBody struct {
		request.IDJsonBody
		Name        string `json:"name" assign:"toField:Name"`
		Description string `json:"description" assign:"toField:Description"`
	}

	GetPermissionGroupsQueryParams struct {
		request.BaseQueryParams
		Name        string `form:"name" assign:"toField:Name"`
		Description string `form:"description" assign:"toField:Description"`
	}

	GetPermissionGroupQueryParams struct {
		request.IDQueryParam
	}

	UpdatePermissionsOfPermissionGroupJsonBody struct {
		request.IDJsonBody
		PermissionIDs []string `json:"permissionIds" assign:"toField:PermissionIDs"`
	}

	GetPermissionsOfPermissionGroupQueryParams struct {
		request.BaseQueryWithIDParams
	}
)
