package role

import (
	"git.sxidc.com/go-framework/baize/framework/core/domain"
	"git.sxidc.com/go-framework/baize/framework/core/domain/entity"
)

const (
	FieldName        = "Name"
	FieldDescription = "Description"
)

var (
	ColumnName        = domain.ColumnName(FieldName)
	ColumnDescription = domain.ColumnName(FieldDescription)
)

var fieldMap = map[string]string{
	FieldName:        "角色名称",
	FieldDescription: "角色描述",
}

type Entity struct {
	entity.Base
	Name        string `sqlmapping:"column:name" sqlresult:"column:name" check:"required,lte=256,when=create/update"`
	Description string `sqlmapping:"column:description;updateClear" sqlresult:"column:description"`

	UserIDs       []string `sqlmapping:"-" sqlresult:"-"`
	PermissionIDs []string `sqlmapping:"-" sqlresult:"-"`

	entity.UserIDFields
	entity.TimeFields
}

func (e *Entity) DomainCNName() string {
	return "角色"
}

func (e *Entity) DomainCamelName() string {
	return "Role"
}

func (e *Entity) GetFieldMap() map[string]string {
	return fieldMap
}
