package database

import (
	"github.com/pkg/errors"
	"strings"
)

var (
	// ErrDBRecordHasExist 数据库记录已存在
	ErrDBRecordHasExist = errors.New("记录已存在")

	// ErrDBRecordNotExist 数据库记录不存在
	ErrDBRecordNotExist = errors.New("记录不存在")
)

// IsErrorDBRecordHasExist 检查错误是否是数据库记录已存在错误
// 参数:
// - err: 错误
// 返回值:
// - 是否是数据库记录已存在错误
func IsErrorDBRecordHasExist(err error) bool {
	return strings.Contains(err.Error(), "记录已存在")
}

// IsErrorDBRecordNotExist 检查错误是否是数据库记录不存在错误
// 参数:
// - err: 错误
// 返回值:
// - 是否是数据库记录不存在错误
func IsErrorDBRecordNotExist(err error) bool {
	return strings.Contains(err.Error(), "记录不存在")
}
