package message_queue

import "git.sxidc.com/go-framework/baize/framework/core/infrastructure/message_queue/common"

// Subscribe 订阅
// 参数:
// - queue: 消息队列
// - group: 消息组，不同的消息组的订阅者都能收到某一个主题的消息，同一个消息组的消费者只有一个能够消费消息
// - topic: 主题
// - handler: 消息处理函数
// 返回值:
// - 错误
func Subscribe(messageQueue common.MessageQueue, group string, topic string, handler common.MessageHandler) error {
	return messageQueue.Subscribe(group, topic, handler)
}

// UnSubscribe 取消订阅
// 参数:
// - queue: 消息队列
// - group: 消息组，不同的消息组的订阅者都能收到某一个主题的消息，同一个消息组的消费者只有一个能够消费消息
// - topic: 主题
// 返回值:
// - 错误
func UnSubscribe(messageQueue common.MessageQueue, group string, topic string) error {
	return messageQueue.UnSubscribe(group, topic)
}

// Publish 发布消息
// 参数:
// - queue: 消息队列
// - topic: 主题
// - data: 消息数据
// 返回值:
// - 错误
func Publish(messageQueue common.MessageQueue, topic string, data string) error {
	return messageQueue.Publish(topic, data)
}
